> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List SCIM Groups

> Retrieves a list of groups, supports filtering and pagination. Used by SCIM clients like Okta.



## OpenAPI

````yaml /api-reference/openapi.json get /scim/Groups
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /scim/Groups:
    get:
      tags:
        - Scim
        - Group
      summary: List SCIM Groups
      description: >-
        Retrieves a list of groups, supports filtering and pagination. Used by
        SCIM clients like Okta.
      operationId: listScimGroups
      parameters:
        - name: startIndex
          in: query
          description: The 1-based index of the first result
          schema:
            type: integer
            default: 1
        - name: count
          in: query
          description: Desired maximum number of query results per page
          schema:
            type: integer
            default: 100
      responses:
        '200':
          description: User list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListScimGroupsResponse'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ListScimGroupsResponse'
        '401':
          description: Valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
        '500':
          description: Unexpected server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
components:
  schemas:
    ListScimGroupsResponse:
      required:
        - Resources
        - itemsPerPage
        - schemas
        - startIndex
        - totalResults
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
        totalResults:
          type: integer
        startIndex:
          type: integer
        itemsPerPage:
          type: integer
        Resources:
          type: array
          items:
            $ref: '#/components/schemas/ScimGroup'
      example:
        totalResults: 2
        startIndex: 1
        itemsPerPage: 2
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:Group
        Resources:
          - schemas:
              - urn:ietf:params:scim:schemas:core:2.0:Group
              - urn:okta:custom:group:1.0
            displayName: firstGroup
            id: '1001'
            members:
              - value: '101'
                display: okta
            urn:okta:custom:group:1.0:
              description: This is the first group
          - schemas:
              - urn:ietf:params:scim:schemas:core:2.0:Group
            displayName: secondGroup
            id: '1002'
            members:
              - value: '101'
                display: okta
              - value: '102'
                display: admin
    Base_401_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BaseError'
      example:
        code: 401
        message: unauthenticated for Invalid API key
    Base_Scim_Error:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
        detail:
          type: string
          description: A description of the error
        status:
          type: integer
          description: The HTTP status code for the error
      example:
        schemas:
          - urn:ietf:params:scim:api:messages:2.0:Error
        detail: The details of the error
        status: 409
    ScimGroup:
      required:
        - id
      type: object
      properties:
        schemas:
          type: array
          example:
            - urn:ietf:params:scim:schemas:core:2.0:Group
            - urn:okta:custom:group:1.0
          items:
            type: string
        displayName:
          type: string
          example: firstGroup
        id:
          type: string
          example: '1001'
        members:
          type: array
          example:
            - value: '101'
              display: okta
          items:
            $ref: '#/components/schemas/ScimGroupMember'
        urn:okta:custom:group:1.0:
          type: object
          properties:
            description:
              type: string
              example: This is the first group
      example:
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:Group
        id: group-uuid-123
        displayName: Sales Team
        members:
          - value: user-uuid-1
            display: jane@example.com
    BaseError:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      example:
        code: unauthorized
        message: Invalid or expired API key
    ScimGroupMember:
      required:
        - display
        - value
      type: object
      properties:
        value:
          type: string
          example: 724b985e-5053-4d9d-b8c5-7f2941b60c26
        display:
          type: string
          example: john.doe@example.com
      example:
        value: user-uuid-123
        display: jane@example.com
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````